syndication
PUT /v1/syndication/plans/{planId}
Change a plan's channels or behaviour.
認証
ベアラー トークンとして API キーを送信します。このエンドポイントでは仕様に特定の権限が記載されていないため、キーに必要な最小限の権限を付与し、推測するのではなくレスポンスを確認してください。
このエンドポイントは組織IDを受け付けません。お使いのキーによって所属する組織がすでに特定されており、レスポンスはその組織にスコープされます。
試してみる
アングルブラケット内のすべてをご自身の値に置き換え、キーのプレースホルダーをご利用中のダッシュボードのキーに置き換えてください。
curl -X PUT https://api.zinndigital.com/v1/syndication/plans/{planId} \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "scope": <string<post, recipe, org_default>> }'ログインしていますか?ダッシュボード内のAPIコンソールでは、実際の組織IDやお客様ご自身のキーが自動入力され、ライブAPIに対してリクエストが実行されるため、実際のレスポンスを確認することができます。 API コンソールでこのエンドポイントを開く
詳細
Replaces the plan's channel set with `connection_ids`. ⛔ Each id is re-checked against the CALLER's scope, not merely the plan's org — a connection id is a UUID somebody could paste, and a plan naming another tenant's connection would post this article to that tenant's account. Gated on `syndication.manage`.
パラメータ
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
planId (path) | string | はい | — |
リクエスト本文
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
scope | string<post, recipe, org_default> | はい | — |
post_id | string | いいえ | — |
recipe_id | string | いいえ | — |
enabled | boolean | いいえ | — |
write_mode | string<ai_per_channel, one_text> | いいえ | — |
approval_mode | string<hold, send> | いいえ | — |
connection_ids | string[] | いいえ | — |
返信
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
id | string | はい | — |
scope | string<post, recipe, org_default> | はい | Most specific wins — an article's own plan beats its recipe's beats the org default. |
post_id | string | はい | — |
recipe_id | string | はい | — |
enabled | boolean | はい | — |
write_mode | string<ai_per_channel, one_text> | はい | ⚖️ Owner ruling 2026-08-20 — the AI writes per channel by default, because an X post and a LinkedIn update are not the same piece of writing. |
approval_mode | string<hold, send> | はい | ⚖️ Owner ruling 2026-08-20 — hold for approval by default. |
channels | SyndicationPlanChannel[] | はい | — |
created_at | string | はい | — |
このエンドポイントが返すエラー
401 · 403 · 404